<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.fragment.map.MapV2Fragment">

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/fc_home_map_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <com.abbidot.tracker.widget.MapMarkerInfoView
        android:id="@+id/mi_home_map_address_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <com.abbidot.tracker.widget.MapDeviceNetView
        android:id="@+id/dn_home_map_net_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone" />

    <RelativeLayout
        android:id="@+id/rl_home_map_top_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginHorizontal="@dimen/dp_8">

        <include
            android:id="@+id/ll_home_map_top_pet"
            layout="@layout/layout_top_pet_data_small"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_home_map_device_msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_home_map_top_pet"
            android:layout_centerInParent="true"
            android:layout_marginTop="@dimen/dp_8" />

        <com.abbidot.tracker.widget.NonSwipeRecyclerView
            android:id="@+id/rv_home_map_device_state"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_home_map_top_pet"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/dp_60"
            android:layout_marginEnd="@dimen/dp_2"
            android:layoutDirection="rtl" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/home_map_bluetooth_btn"
            style="@style/map_image_white_btn_style"
            android:layout_alignEnd="@id/rv_home_map_device_state"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/dp_60"
            android:padding="@dimen/dp_8"
            android:src="@drawable/icon_map_bluetooth" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/home_map_refresh_btn"
            style="@style/map_image_yellow_btn_style"
            android:layout_above="@id/home_map_bluetooth_btn"
            android:layout_alignEnd="@id/home_map_bluetooth_btn"
            android:layout_marginBottom="@dimen/dp_8" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/home_map_live_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_58"
            android:background="@drawable/shape_white_alpha_circle_bg"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_36"
            android:paddingVertical="@dimen/dp_6"
            android:visibility="gone">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/icon_black_cir_ring"
                android:padding="@dimen/dp_6"
                android:src="@drawable/icon_red_dot" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_2"
                android:text="@string/txt_live"
                android:textSize="@dimen/textSize12"
                android:textStyle="bold" />
        </androidx.appcompat.widget.LinearLayoutCompat>

    </RelativeLayout>
</FrameLayout>